nodeId same as IP address in aggregated log records
Description

these records were coming from the metacat running on the cn

https://cn-dev.dataone.org/knb/d1/mn/v1/log

SOLR query response contains the same value for nodeId and ipAddress (the latter appears correct).

Perhaps the value is not being set correctly during index generation?

e.g.:

https://cn-dev.dataone.org/solr/d1-cn-log/select?q=pid:BAYXXX_015ADCP015R00_20051215.50.9

History

#1 - 2012-02-24 19:23 - Rob Nahf

Current status:

a) the ip address seems resolves to Roger's client? machine  (an nm.comcast.net machine)

b) cn-dev identifies gmn-dev as      'urn:node:mnDevGMN'

c) gmn-dev identifies itself as         'r2d2'

in gmn-dev logs, the nodeIdentifier element has the value 'gmn-dev', which matches the name element in gmn-dev's node document.

the following returns the logs from gmn-dev with a from date later than lastModifiedDate on the object in question.

https://gmn-dev.test.dataone.org/mn/v1/log?fromDate=2012-02-20T21:18:46.000000

(for me it lists latest at the top, so near the bottom of the list, see entryID 79238, although all log entries use this same value for nodeIdentifier) 

part of the answer is to update gmn-dev to it's current official identifier (urn:node:mnDevGMN) and make sure that value is used in log entries, instead

of the node.name element.

#2 - 2012-02-24 20:01 - Robert Waltz

- Category changed from d1_log_aggregation to Metacat

#3 - 2012-02-24 20:01 - Robert Waltz

- Assignee changed from Robert Waltz to Chris Jones
#4 - 2012-02-24 22:22 - Chris Jones

- Status changed from New to Closed

D1NodeService.getLogRecords() was setting the nideId to the IP address. Fixed.
